<?php

namespace App\Classes\Modules\Orders\DataTransferObjects;


class DeliveryArrangementObject
{

    /** @var int */
    private $type;

    /** @var null|string */
    private $vehicleNumber;

    /**
     * DeliveryArrangementObject constructor.
     * @param int $type
     * @param null|string $vehicleNumber
     */
    public function __construct(int $type, ?string $vehicleNumber)
    {
        $this->type = $type;
        $this->vehicleNumber = $vehicleNumber;
    }

    /**
     * @return int
     */
    public function getType(): int
    {
        return $this->type;
    }

    /**
     * @return null|string
     */
    public function getVehicleNumber(): ?string
    {
        return $this->vehicleNumber;
    }




}